<?php
if ( ! function_exists( 'themesflat_body_classes' ) ) {
	add_filter( 'body_class', 'themesflat_body_classes' );
	function themesflat_body_classes( $classes ) {		
		if ( themesflat_get_opt( 'topbar_enabled') == 1){
			$classes[] = 'has-topbar';	
		}
		if ( themesflat_choose_opt('header_sticky') == 1 ) {	
			$classes[] = 'header_sticky';
		}
		if(themesflat_choose_opt('show_page_title') == 0){
			$classes[] = 'off-header-fix';
		}

		if ( ( !is_active_sidebar( 'footer-1' )) && (!is_active_sidebar( 'footer-2' )) && (!is_active_sidebar( 'footer-3' )) ) {
			$classes[] = 'no-sidebar-footer';
		}
		/**
		 * Full-Width layout template
		 */
		if ( is_page_template( 'tpl/page_fullwidth.php' ) ) $classes[] = 'page-fullwidth';
		$classes[] =  themesflat_choose_opt('layout_version');
		return $classes;
	}
}
if (! function_exists( 'themesflat_header_classes' )){
	add_filter( 'header_class', 'themesflat_header_classes' );
	function themesflat_header_classes(){
		$headers = '';
		$headers = (themesflat_meta('enable_header_fullwidth') == 1)? 'container':'container';
		if(is_single() || is_archive() || is_category() ||  is_search() || themesflat_is_blog() || themesflat_is_press()){
			$headers = (themesflat_choose_opt('enable_header_fullwidth') == 1)? 'container':'container';
		}	
		return $headers;
	}
}