<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$total   = isset( $total ) ? $total : wc_get_loop_prop( 'total_pages' );
$current = isset( $current ) ? $current : wc_get_loop_prop( 'current_page' );
$base    = isset( $base ) ? $base : esc_url_raw( str_replace( 999999999, '%#%', remove_query_arg( 'add-to-cart', get_pagenum_link( 999999999, false ) ) ) );
$format  = isset( $format ) ? $format : '';

if ( $total <= 1 ) {
	return;
}
$pages = paginate_links( apply_filters( 'woocommerce_pagination_args', array( // WPCS: XSS ok.
			'base'         => $base,
			'format'       => $format,
			'add_args'     => false,
			'current'      => max( 1, $current ),
			'total'        => $total,
			'type'  => 'array',
			'end_size'     => 3,
			'mid_size'     => 3,
			'prev_text'    => esc_html__( 'Previous', 'bookflare' ),
    		'next_text'    => esc_html__( 'Next', 'bookflare'),
		) )  );
   ?>
<div class="flat-paginations_courses center paginations-shop">
   	<div class="navigation  paging-navigation pager-numeric" >
		<div class="pagination loop-pagination">
			<?php 
				if ( is_array( $pages ) ) {
			  //Get current page
			    $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var( 'paged' );
			  //Disable Previous button if the current page is the first one
			    if ($paged == 1) {
			      echo '<ul class="list pagination-wrap"><li class="disabled"><a class="btn-navs" >Prev</a></li>';
			    } else {
			      echo '<ul class="list pagination-wrap"><li><a class="btn-navs" href="' . get_previous_posts_page_link() . '">Prev</a></li>';
			    }
			    for ($i=1; $i<=$total; $i++) {
			      if ($i == $paged) {
			        echo '<li class="active"><a class="pagination-link" href="' . get_pagenum_link($i) . '">' . $i . '</a></li>';
			      } else {
			        echo '<li><a class="pagination-link" href="'. get_pagenum_link($i) . '">' . $i . '</a></li>';
			      }
			    }
			    //Disable Next button if the current page is the last one
			    if ($paged<$total) {
			      echo '<li><a class="btn-navs" href="' . get_next_posts_page_link() . '">Next</a></li>
			      ';
			    } else {
			      echo '<li class="disabled"><a class="btn-navs" >Next</a></li>';
			    }
			    echo '</ul>';
			  } ?>
		</div>
	</div>
</div>  

